<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.AssetAdvancedPropertyMetadata Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_asset_advanced_property_metadata.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_asset_advanced_property_metadata-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.AssetAdvancedPropertyMetadata Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents all asset advanced configuration-metadata.  
 <a href="class_tri_lib_1_1_asset_advanced_property_metadata.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a6416e3279e75053f030ce4e24ed45f60"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_property_metadata.html#a6416e3279e75053f030ce4e24ed45f60">GetConfigKey</a> (<a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a> className)</td></tr>
<tr class="memdesc:a6416e3279e75053f030ce4e24ed45f60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the given class asset advanced config key.  <a href="class_tri_lib_1_1_asset_advanced_property_metadata.html#a6416e3279e75053f030ce4e24ed45f60">More...</a><br /></td></tr>
<tr class="separator:a6416e3279e75053f030ce4e24ed45f60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98d3ddc8673d8b539db267adb6fe578a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_property_metadata.html#a98d3ddc8673d8b539db267adb6fe578a">GetOptionMetadata</a> (string key, out <a class="el" href="namespace_tri_lib.html#af32ca43d525d70b47152d4dac2ec5de5">AssetAdvancedConfigType</a> assetAdvancedConfigType, out string className, out string description, out string group, out object defaultValue, out object minValue, out object maxValue, out bool hasDefaultValue, out bool hasMinValue, out bool hasMaxValue)</td></tr>
<tr class="memdesc:a98d3ddc8673d8b539db267adb6fe578a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets an asset advanced config metadata.  <a href="class_tri_lib_1_1_asset_advanced_property_metadata.html#a98d3ddc8673d8b539db267adb6fe578a">More...</a><br /></td></tr>
<tr class="separator:a98d3ddc8673d8b539db267adb6fe578a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:aa02a68544ba8fb004ec9089b93515ada"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_property_metadata.html#aa02a68544ba8fb004ec9089b93515ada">GroupCount</a> = 35</td></tr>
<tr class="memdesc:aa02a68544ba8fb004ec9089b93515ada"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asset advanced configs total group count.  <a href="class_tri_lib_1_1_asset_advanced_property_metadata.html#aa02a68544ba8fb004ec9089b93515ada">More...</a><br /></td></tr>
<tr class="separator:aa02a68544ba8fb004ec9089b93515ada"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7dee266cd0a5e7e12f6e885dfe4c1ca"><td class="memItemLeft" align="right" valign="top">static readonly string[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_advanced_property_metadata.html#ac7dee266cd0a5e7e12f6e885dfe4c1ca">ConfigKeys</a></td></tr>
<tr class="memdesc:ac7dee266cd0a5e7e12f6e885dfe4c1ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asset advanced config keys.  <a href="class_tri_lib_1_1_asset_advanced_property_metadata.html#ac7dee266cd0a5e7e12f6e885dfe4c1ca">More...</a><br /></td></tr>
<tr class="separator:ac7dee266cd0a5e7e12f6e885dfe4c1ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents all asset advanced configuration-metadata. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a6416e3279e75053f030ce4e24ed45f60" name="a6416e3279e75053f030ce4e24ed45f60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6416e3279e75053f030ce4e24ed45f60">&#9670;&nbsp;</a></span>GetConfigKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static string TriLib.AssetAdvancedPropertyMetadata.GetConfigKey </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a2f79033cc124ce8cf667bc3d0cd3a7b4">AssetAdvancedPropertyClassNames</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the given class asset advanced config key. </p>
<dl class="section return"><dt>Returns</dt><dd>The config key.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>The class name to get the key.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a98d3ddc8673d8b539db267adb6fe578a" name="a98d3ddc8673d8b539db267adb6fe578a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98d3ddc8673d8b539db267adb6fe578a">&#9670;&nbsp;</a></span>GetOptionMetadata()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void TriLib.AssetAdvancedPropertyMetadata.GetOptionMetadata </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="namespace_tri_lib.html#af32ca43d525d70b47152d4dac2ec5de5">AssetAdvancedConfigType</a>&#160;</td>
          <td class="paramname"><em>assetAdvancedConfigType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out string&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out string&#160;</td>
          <td class="paramname"><em>description</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out string&#160;</td>
          <td class="paramname"><em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out object&#160;</td>
          <td class="paramname"><em>defaultValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out object&#160;</td>
          <td class="paramname"><em>minValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out object&#160;</td>
          <td class="paramname"><em>maxValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out bool&#160;</td>
          <td class="paramname"><em>hasDefaultValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out bool&#160;</td>
          <td class="paramname"><em>hasMinValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out bool&#160;</td>
          <td class="paramname"><em>hasMaxValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets an asset advanced config metadata. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>Asset advanced config key.</td></tr>
    <tr><td class="paramname">assetAdvancedConfigType</td><td>(out) Asset advanced config type.</td></tr>
    <tr><td class="paramname">className</td><td>(out) Asset advanced config class name.</td></tr>
    <tr><td class="paramname">description</td><td>(out) Asset advanced config description.</td></tr>
    <tr><td class="paramname">group</td><td>(out) Asset advanced config group.</td></tr>
    <tr><td class="paramname">defaultValue</td><td>(out) Asset advanced config default value.</td></tr>
    <tr><td class="paramname">minValue</td><td>(out) Asset advanced config minimum value.</td></tr>
    <tr><td class="paramname">maxValue</td><td>(out) Asset advanced config max value.</td></tr>
    <tr><td class="paramname">hasDefaultValue</td><td>(out) Asset advanced config has default value?</td></tr>
    <tr><td class="paramname">hasMinValue</td><td>(out) Asset advanced config has minimum value?</td></tr>
    <tr><td class="paramname">hasMaxValue</td><td>(out) Asset advanced config has max value?</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ac7dee266cd0a5e7e12f6e885dfe4c1ca" name="ac7dee266cd0a5e7e12f6e885dfe4c1ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7dee266cd0a5e7e12f6e885dfe4c1ca">&#9670;&nbsp;</a></span>ConfigKeys</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly string [] TriLib.AssetAdvancedPropertyMetadata.ConfigKeys</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Asset advanced config keys. </p>

</div>
</div>
<a id="aa02a68544ba8fb004ec9089b93515ada" name="aa02a68544ba8fb004ec9089b93515ada"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa02a68544ba8fb004ec9089b93515ada">&#9670;&nbsp;</a></span>GroupCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int TriLib.AssetAdvancedPropertyMetadata.GroupCount = 35</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Asset advanced configs total group count. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/<a class="el" href="_asset_advanced_configs_8cs.html">AssetAdvancedConfigs.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_asset_advanced_property_metadata.html">AssetAdvancedPropertyMetadata</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
